---
title: RTCIceCandidatePairStats.nominated
slug: Web/API/RTCIceCandidatePairStats/nominated
tags:
  - API
  - Flag
  - ICE
  - Negotiation
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - WebRTC
  - WebRTC API
  - nominated
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>nominated</code></strong> specifies whether or not the candidate pair described by the underlying <code>RTCIceCandidatePair</code> has been nominated to be used as the configuration for the WebRTC connection.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>nominated</em> = <em>rtcIceCandidatePairStats</em>.nominated;</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value which is set to <code>true</code> by the ICE layer if the controlling user agent has indicated that the candidate pair should be used to configure the WebRTC connection between the two peers.</p>

<div class="notecard note">
<p><strong>Note:</strong> If more than one candidate pair are nominated at the same time, the one whose priority is higher will be selected for use.</p>
</div>

<p>Once a candidate pair has been nominated and the two peers have each reconfigured themselves to use the specified configuration, the ICE negotiation process can potentially end (or it can continue, to allow the connection to adapt to changing conditions).</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-nominated', 'RTCIceCandidatePairStats.nominated') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.nominated")}}</p>
